local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

do
	local data = {
		version = 3,
		key = "Nyami2",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["Auchindoun: Nyami"],
		triggers = {
			scan = {76177}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	"boss1", 	},
			unittracing = {	"boss1",},
			defeat = 76177,
		},
		userdata = {

		},		
		messages = {
			mSWP = {
				varname = format(L.alert["%s %s %s"],SN[154477],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[154477],L.alert["on"]),
				color1 = "INDIGO",
				sound = "ALERT13",
				desc = 154477,
				icon = ST[154477],
				exdps = true,
				extank = true,
			},	
		},
		onstart = {
			{
				"alert",{"SoulVesselCD", time = 2},
			},
		},
		alerts = {
			SoulVesselCD = {
				varname = format(L.alert["%s Cooldown"],SN[155327]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[155327]),
				time = 51.5,
				time2 = 22,
				color1 = "GLOBAL",
				icon = ST[155327],
				desc = 155327,
			},
			TornSpiritsCD = {
				varname = format(L.alert["%s Cooldown"],SN[153991]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[153991]),
				time = 25.5,
				color1 = "GLOBAL",
				icon = ST[153991],
				desc = 153991,
			},
			-- Alert
			wSoulVessel = {
				varname = format(L.alert["%s!"],SN[155327]),
				type = "simple",
				text = format(L.alert["%s!"],SN[155327]),
				time = 2,
				color1 = "CYAN",
				icon = ST[155327],
				desc = 155327,
				sound = "ALERT10",
			},		
			wTornSpiritsIncoming = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],L.alert["Adds"]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],L.alert["Adds"]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[153994],
				sound = "ALERT10",
				--desc = 153994,
			},							
			-- Inform			
			iSWP = {
				varname = format(L.alert["%s %s %s!"],SN[154477],L.alert["Dispell"],L.alert["player"]),
				type = "inform",
				text = format(L.alert["%s #5#"],L.alert["Dispell"]),
				time = 2,
				color1 = "GREEN",
				sound = "ALERT10",
				icon = ST[154477],
				desc = 154477,
			},		
			-- Casts
			SoulVesselBuff = {
				varname = format(L.alert["%s Active"],SN[155327]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[155327]),
				time = 11.5,
				color1 = "GLOBAL",
				icon = ST[155327],
				desc = 155327,
			},
			TornSpiritsIncomingcast = {
				varname = format(L.alert["%s %s"],SN[153994],L.alert["Adds"]),
				type = "centerpopup",
				text = format(L.alert["%s %s"],SN[153994],L.alert["Adds"]),
				time = 3,
				color1 = "RED",
				icon = ST[153994],
				desc = 153994,
			},					
		},
		events = {
			-- 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {154477},
				execute = {
					{
						"expect",{"&unitisplayer|#5#&","==","true"},
						"invoke",{
							{
								"message","mSWP",
							},
							{
								"expect",{"&dispell|magic&","==","true"},
								"alert","iSWP",
							},
						},
					},
				},
			},
			-- SoulVessel
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {155327},
				execute = {
					{
						"batchalert",{"SoulVesselBuff","SoulVesselCD","wSoulVessel","TornSpiritsCD"},
					},					
				},
			},
			-- TornSpirits
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {153994},
				execute = {
					{
						"batchalert",{"wTornSpiritsIncoming","TornSpiritsCD","TornSpiritsIncomingcast"},
					},					
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end