local AL = LibStub("AceLocale-3.0")

local silent = true

local L = AL:GetLocale("DXE")
if not L then
    local L = AL:NewLocale("DXE", "enUS", true, silent)
end

if L then
	-- Chat triggers
	local chat_Draenor = AL:NewLocale("DXE Chat Draenor", "enUS", true, silent)
	AL:GetLocale("DXE").chat_Draenor = AL:GetLocale("DXE Chat Draenor")
	-- NPC names
	local npc_Draenor = AL:NewLocale("DXE NPC Draenor", "enUS", true, silent)
	AL:GetLocale("DXE").npc_Draenor = AL:GetLocale("DXE NPC Draenor")
	if GetLocale() == "enUS" or GetLocale() == "enGB" then return end
end

local L = AL:NewLocale("DXE", "ruRU")
if L then
	-- Chat triggers
	local chat_Draenor = AL:NewLocale("DXE Chat Draenor", "ruRU")

	AL:GetLocale("DXE").chat_Draenor = AL:GetLocale("DXE Chat Draenor")
	
	-- NPC names
	local npc_Draenor = AL:NewLocale("DXE NPC Draenor", "ruRU")

    npc_Draenor["Tarlna the Ageless"] = "Тарлна Нестареющий"
    npc_Draenor["Rukhmar"] = "Рухмар"
    npc_Draenor["Drov the Ruiner"] = "Дров Крушитель"

	AL:GetLocale("DXE").npc_Draenor = AL:GetLocale("DXE NPC Draenor")
	return
end

local L = AL:NewLocale("DXE", "zhCN")
if L then
	-- Chat triggers
	local chat_Draenor = AL:NewLocale("DXE Chat Draenor", "zhCN")

	AL:GetLocale("DXE").chat_Draenor = AL:GetLocale("DXE Chat Draenor")
	
	-- NPC names
	local npc_Draenor = AL:NewLocale("DXE NPC Draenor", "zhCN")

    npc_Draenor["Drov the Ruiner"] = "毁灭者多弗"
    npc_Draenor["Tarlna the Ageless"] = "永恒的塔尔纳"
    npc_Draenor["Rukhmar"] = "鲁克玛" 

	AL:GetLocale("DXE").npc_Draenor = AL:GetLocale("DXE NPC Draenor")
	return
end