local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

--TODO: TouchOfHarmAmount Absorbs
local EJName = EJ_GetEncounterInfo(1394)
do
	local data = {
		version = 5,
		key = "TyrantVelhari",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-TyrantVelhari.BLP:35:35",
		respawntime = 40,
		triggers = {
			scan = {90269}, 
			encounterid = 1784,
			ejid = 1394,
		},
		onactivate = {
			tracing = {
				90269,
				--markers1 = {40,70},
			},
			tracerstart = true,
			combatstop = true,
			unittracing = {"boss1"},
			defeat = 90269,
		},
		windows = {
			proxwindow = true,
		},
		enrage = {

		},
		userdata = {
			phase = 1,
			annihilatingStrikeCount = 0,
			Adds = {type = "container"},
			Addsguid = "",
			TouchOfHarm = 0,
			bulwarkCount = 0,
			FontOfCorruptiononMe = 0,
			FontOfCorruptionunits = {type = "container", wipein = 3},
			FontOfCorruptionunits2 = {type = "container", wipein = 3},
			TouchOfHarmunits = {type = "container", wipein = 3},
			EdictOfCondemnationDestName = "",
			EdictOfCondemnationsay = 9,
		},
		timers = {
			timerTouchOfHarm = {
				{
					"message","mTouchOfHarm",
				},
			},			
			timerFontOfCorruption = {
				{
					"message","mFontOfCorruption",
				},
				{
					"expect",{"<FontOfCorruptiononMe>","==","0"},
					"openwindow",{"5","&list|FontOfCorruptionunits2&",true,180526},
				},
				{
					"expect",{"<FontOfCorruptiononMe>","==","1"},
					"openwindow",{"5",nil,false,180526},
				},				
			},
			timerEdictOfCondemnationArrow = {
				{
					"arrow","EdictOfCondemnationArrow", -- Goto player
				},
			},			
			timerEdictOfCondemnation = {
				{
					"set",{EdictOfCondemnationsay = "DECR|1"},
				},
				{
					"expect",{"<EdictOfCondemnationsay>",">","0"},
					"announce","EdictOfCondemnationsaycountdown",
					"scheduletimer",{"timerEdictOfCondemnation",1},
				},
			},			
			timerEdictOfCondemnation20 = {
				{
					"expect",{"<EdictOfCondemnationDestName>","==","player"},
					"openwindow",{"20",nil,false,182459},
				},
				{
					"expect",{"<EdictOfCondemnationDestName>","~=","player"},
					"openwindow",{"20","<EdictOfCondemnationDestName>",false,182459},
				},				
			},
			timerEdictOfCondemnation10 = { 
				{
					"expect",{"<EdictOfCondemnationDestName>","==","player"},
					"openwindow",{"10",nil,false,182459},
				},
				{
					"expect",{"<EdictOfCondemnationDestName>","~=","player"},
					"openwindow",{"10","<EdictOfCondemnationDestName>",false,182459},
				},	
			},			
		},
		arrows = {
			TaintedShadowsarrow = {
				varname = SN[180533],
				unit = "&upvalue&",
				persist = 5,
				action = "AWAY",
				msg = L.alert["MOVE AWAY!"],
				spell = SN[180533],
				range1 = 1,
				range2 = 3,
				range3 = 6,
				desc = 180533,
				icon = ST[180533],
			},
			AnnihilatingStrikearrow = {
				varname = SN[180260],
				unit = "&upvalue&",
				persist = 5,
				action = "AWAY",
				msg = L.alert["MOVE AWAY!"],
				spell = SN[180260],
				range1 = 1,
				range2 = 3,
				range3 = 6,
				desc = 180260,
				icon = ST[180260],
			},	
			EdictOfCondemnationArrow = {
				varname = SN[182459].." - "..L.alert["GO TO HIM!"],
				unit = "<EdictOfCondemnationDestName>",
				persist = 5,
				action = "TOWARD",
				msg = L.alert["GO TO HIM!"],
				spell = SN[182459],
				range1 = 2,
				range2 = 8,
				range3 = 12,
				desc = 182459,
				icon = ST[182459],
				sound = "ALERT18",
			},				
		},
		raidicons = {
			CurseOfTheLegionmark = {
				varname = SN[181275],
				type = "FRIENDLY",
				persist = 20,
				unit = "#5#", 
				icon = 1,
				desc = 181275,
				icon2 = ST[181275],
			},					
		},	
		announces = { 
			AnnihilatingStrikesay = {
				varname = format(L.alert["%s %s %s!"],SN[180260],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[180260],L.alert["on"],L.alert["Me"]),
				desc = 180260,
				icon = ST[180260],
			},	
			EdictOfCondemnationsay = {
				varname = format(L.alert["%s %s %s!"],SN[182459],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[182459],L.alert["on"],L.alert["Me"]),
				desc = 182459,
				icon = ST[182459],
			},	
			EdictOfCondemnationsaycountdown = {
				varname = format(L.alert["%s %s 2"],SN[182459],L.alert["in"]),
				type = "SAY",
				msg = format(L.alert["%s %s <EdictOfCondemnationsay>"],SN[182459],L.alert["in"]),
				desc = 182459,
				icon = ST[182459],				
			},				
			FontOfCorruptionsay = {
				varname = format(L.alert["%s %s %s!"],SN[180526],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[180526],L.alert["on"],L.alert["Me"]),
				desc = 180526,
				icon = ST[180526],
				flashcolor = "YELLOW",
				flashscreen = true,						
			},				
		},			
		messages = {
			mTouchOfHarm = {
				varname = format(L.alert["%s %s %s"],SN[185237],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[185237],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 185237,
				icon = ST[185237],
			},		
			mAncientEnforcer = {
				varname = format(L.alert["%s Spawns"],EJSN[11155]),
				type = "message",
				text = format(L.alert["%s Spawns"],EJSN[11155]),
				color1 = "CYAN",
				sound = "ALERT13",
				ability = 11155,
				icon = EJST[11155],
			},
			mAncientHarbinger = {
				varname = format(L.alert["%s Spawns"],EJSN[11163]),
				type = "message",
				text = format(L.alert["%s Spawns"],EJSN[11163]),
				color1 = "CYAN",
				sound = "ALERT13",
				ability = 11163,
				icon = EJST[11163],
			},
			mAncientSovereign = {
				varname = format(L.alert["%s Spawns"],EJSN[11170]),
				type = "message",
				text = format(L.alert["%s Spawns"],EJSN[11170]),
				color1 = "CYAN",
				sound = "ALERT13",
				ability = 11170,
				icon = EJST[11170],
			},	
			mEnforcersOnslaught = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[180004]),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[180004]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 180004,
				icon = ST[180004],
			},
			mAnnihilatingStrike = {
				varname = format(L.alert["%s %s %s"],SN[180260],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &upvalue&"],SN[180260],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 180260,
				icon = ST[180260],
			},
			mFontOfCorruption = {
				varname = format(L.alert["%s %s %s"],SN[180526],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|FontOfCorruptionunits&"],SN[180526],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 180526,
				icon = ST[180526],
			},	
			mTouchOfHarm = {
				varname = format(L.alert["%s %s %s"],SN[180166],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|TouchOfHarmunits&"],SN[180166],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 180166,
				icon = ST[180166],
				exdps = true,
			},				
			mTaintedShadows = {
				varname = format(L.alert["%s %s %s"],SN[180533],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &upvalue&"],SN[180533],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 180533,
				icon = ST[180533],
			},			
			mHarbingersMending = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[180025]),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[180025]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 180025,
				icon = ST[180025],
			},
			mHarbingersMendingA = {
				varname = format(L.alert["%s %s %s"],SN[180025],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[180025],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 180025,
				icon = ST[180025],
			},
			mGavelOfTheTyrant = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[180025]),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[180025]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 180025,
				icon = ST[180025],
			},	
			mSealOfDecay = {
				varname = format(L.alert["%s %s %s (1)"],SN[180000],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU& (1)"],SN[180000],L.alert["on"]),
				text2 = format(L.alert["%s %s &dstname_or_YOU& (#11#)"],SN[180000],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 180000,
				icon = ST[180000],
				exdps = true,
			},	
			mEdictOfCondemnation = {
				varname = format(L.alert["%s %s %s"],SN[182459],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[182459],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 182459,
				icon = ST[182459],
			},
			mBulwarkOfTheTyrant = {
				varname = format(L.alert["%s"],SN[180600]),
				type = "message",
				text = format(L.alert["%s"],SN[180600]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 180600,
				icon = ST[180600],
			},				
		},
		onstart = {
			{
				"batchalert",{"InfernalTempestCD","AnnihilatingStrikeCD","EdictofCondemnationCD","TouchofHarmCD"},
			},
		},
		alerts = {
			BulwarkOfTheTyrantCD = {
				varname = format(L.alert["%s Cooldown"],SN[180600]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[180600]),
				time = 10,
				time2 = 20,
				color1 = "GLOBAL",
				icon = ST[180600],
				desc = 180600,
			},		
			InfernalTempestCD = {
				varname = format(L.alert["%s Cooldown"],SN[180300]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[180300]),
				time = 40,
				color1 = "GLOBAL",
				icon = ST[180300],
				desc = 180300,
			},
			AnnihilatingStrikeCD = {
				varname = format(L.alert["%s Cooldown"],SN[180260]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[180260]),
				time = 10,
				time2 = 20,
				color1 = "GLOBAL",
				icon = ST[180260],
				desc = 180260,
			},
			EdictofCondemnationCD = {
				varname = format(L.alert["%s Cooldown"],SN[182459]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[182459]),
				time = 57.7,
				time2 = 60,
				color1 = "GLOBAL",
				icon = ST[182459],
				desc = 182459,
			},
			TouchofHarmCD = {
				varname = format(L.alert["%s Cooldown"],SN[185237]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[185237]),
				time = 16,
				time2 = 25,
				color1 = "GLOBAL",
				icon = ST[185237],
				desc = 185237,
			},	
			EnforcersOnslaughtCD = {
				varname = format(L.alert["%s Cooldown"],SN[180004]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[180004]),
				time = 11,
				color1 = "GLOBAL",
				icon = ST[180004],
				desc = 180004,
			},	
			FontOfCorruptionCD = {
				varname = format(L.alert["%s Cooldown"],SN[180526]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[180526]),
				time = 20,
				time2 = 22,
				color1 = "GLOBAL",
				icon = ST[180526],
				desc = 180526,
			},	
			HarbingersMendingCD = {
				varname = format(L.alert["%s Cooldown"],SN[180025]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[180025]),
				time = 11,
				color1 = "GLOBAL",
				icon = ST[180025],
				desc = 180025,
			},
			GavelOfTheTyrantCD = {
				varname = format(L.alert["%s Cooldown"],SN[180608]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[180608]),
				time = 40,
				time2 = 30,
				color1 = "GLOBAL",
				icon = ST[180608],
				desc = 180608,
			},				
			-- Warning
			wInfernalTempest = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[180300]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[180300]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[180300],
				sound = "ALERT10",
				desc = 180300,
				--flashscreen = true,
			},
			wSovereignsWard = {
				varname = format(L.alert["%s!"],SN[180040]),
				type = "simple",
				text = format(L.alert["%s!"],SN[180040]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[180040],
				sound = "ALERT10",
				desc = 180040,
				--flashscreen = true,
			},
			-- Inform
			iBulwarkOfTheTyrant = {
				varname = format(L.alert["%s %s, %s!"],SN[180604],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s, %s!"],SN[180604],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[180604],
				sound = "ALERT12",
				desc = 180604,
				flashscreen = true,
				throttle = 1.5,
			},				
			iDispelHarbingersMending = {
				varname = format(L.alert["%s: %s %s!"],SN[180025],L.alert["Dispell"],L.alert["player"]),
				type = "inform",
				text = format(L.alert["%s: %s #5#"],SN[180025],L.alert["Dispell"]),
				time = 2,
				color1 = "MIDGREY",
				sound = "ALERT14",
				icon = ST[180025],
				throttle = 3,
				desc = 180025,
			},			
			-- Casts
			AnnihilatingStrikeCast = {
				varname = format(L.alert["%s Casting"],SN[180260]),
				type = "centerpopup",
				text = format(L.alert["%s Casting"],SN[180260]),
				time = 3,
				color1 = "ORANGE",
				icon = ST[180260],
				desc = 180260,
			},
			InfernalTempestAct = {
				varname = format(L.alert["%s Active"],SN[180260]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[180260]),
				time = 6.5,
				color1 = "ORANGE",
				icon = ST[180260],
				desc = 180260,
			},
			--[[TouchOfHarmAmount = {
				varname = format(L.alert["%s"],SN[185237]),
				type = "centerpopup",
				text = format(L.alert["%s <TouchOfHarm>%s"],SN[185237],"%"),
				time = 20000,
				color1 = "ORANGE",
				desc = 185237,
				icon = ST[185237],
				tag = "#5#",
				static = true,
				extank = true,
				exdps = true,
			},--]]
			-- Absorb
			--[[TouchOfHarmAbsorb = {
				varname = format(L.alert["%s Absorbs"],SN[185237]),
				text = SN[185237].."!",
				textformat = format("%s => %%s/%%s - %%d%%%%",L.alert["Shield"]),
				type = "unitabsorb",
				time = 600,
				flashtime = 5,
				color1 = "YELLOW",
				color2 = "INDIGO",
				sound = "ALERT4",
				icon = ST[185237],
				unit = "#5#",
				spellid = 185237,
				desc = 185237,
			},	--]]		
			-- Debuff
			SealOfDecayDebuff = {
				varname = format(L.alert["%s Debuff"],SN[180000]),
				type = "debuff",
				text = format(L.alert["&dstname_or_YOU& (1): %s"],SN[180000]),
				text2 = format(L.alert["&dstname_or_YOU& (#11#): %s"],SN[180000]),
				time = 16,
				color1 = "TAN",
				desc = 180000,
				icon = ST[180000],
				tag = "#5#",
				exdps = true,				
			},	
			EdictOfCondemnationDebuff = {
				varname = format(L.alert["%s Debuff"],SN[182459]),
				type = "debuff",
				text = format(L.alert["&dstname_or_YOU&: %s"],SN[182459]),
				time = 9,
				color1 = "RED",
				desc = 182459,
				icon = ST[182459],
				tag = "#5#",
				exdps = true,				
			},				
		},
		events = {
			{
                type = "event",
                event = "INSTANCE_ENCOUNTER_ENGAGE_UNIT",
                execute = {
					{
						--"debug",{"#1#","#2#","#3#","#4#","#5#"},
					},
					{
						"expect",{"&bossexist|90270&","==","true"}, -- Ancient Enforcer
						"set",{Addsguid = "&bossexist|90270|true&"},
						"invoke",{
							{
								"expect",{"&tabread|Adds|<Addsguid>&","~=","true"},
								"tabinsert",{"Adds","<Addsguid>","true"},
								"message","mAncientEnforcer",
							},
						},
					},
					{
						"expect",{"&bossexist|91304&","==","true"}, -- Ancient Enforcer
						"set",{Addsguid = "&bossexist|91304|true&"},
						"invoke",{
							{
								"expect",{"&tabread|Adds|<Addsguid>&","~=","true"},
								"tabinsert",{"Adds","<Addsguid>","true"},
								"message","mAncientEnforcer",
							},
						},
					},
					{
						"expect",{"&bossexist|91302&","==","true"}, -- AncientHarbinger
						"set",{Addsguid = "&bossexist|91302|true&"},
						"invoke",{
							{
								"expect",{"&tabread|Adds|<Addsguid>&","~=","true"},
								"tabinsert",{"Adds","<Addsguid>","true"},
								"message","mAncientHarbinger",
							},
						},
					},	
					{
						"expect",{"&bossexist|90271&","==","true"}, -- AncientHarbinger
						"set",{Addsguid = "&bossexist|90271|true&"},
						"invoke",{
							{
								"expect",{"&tabread|Adds|<Addsguid>&","~=","true"},
								"tabinsert",{"Adds","<Addsguid>","true"},
								"message","mAncientHarbinger",
							},
						},
					},	
					{
						"expect",{"&bossexist|90272&","==","true"}, -- AncientSovereign
						"set",{Addsguid = "&bossexist|90272|true&"},
						"invoke",{
							{
								"expect",{"&tabread|Adds|<Addsguid>&","~=","true"},
								"tabinsert",{"Adds","<Addsguid>","true"},
								"message","mAncientSovereign",
							},
						},
					},	
					{
						"expect",{"&bossexist|91303&","==","true"}, -- AncientSovereign
						"set",{Addsguid = "&bossexist|91303|true&"},
						"invoke",{
							{
								"expect",{"&tabread|Adds|<Addsguid>&","~=","true"},
								"tabinsert",{"Adds","<Addsguid>","true"},
								"message","mAncientSovereign",
							},
						},
					},						
				},
			},	
			-- EnforcersOnslaught 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {180004},
				execute = {	
					{
						"alert","EnforcersOnslaughtCD",
						"message","mEnforcersOnslaught",
					},		
				},
			},
			-- AnnihilatingStrike 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {180260},
				execute = {	
					{
						"set",{annihilatingStrikeCount = "INCR|1"},
						"target",{
							--source = "#1#",
							npcid = 90269,
							wait = 0.07,
							schedule = 20,
							announce = "AnnihilatingStrikesay",							
							message = "mAnnihilatingStrike",
							arrow = "AnnihilatingStrikearrow",
						},
						"alert","AnnihilatingStrikeCast",
					},
					{
						"expect",{"&checkperc|<annihilatingStrikeCount>|3&","==","0"},
						"alert",{"AnnihilatingStrikeCD", time = 2},
					},
					{
						"expect",{"&checkperc|<annihilatingStrikeCount>|3&","~=","0"},
						"alert","AnnihilatingStrikeCD",
					},					
				},
			},	
			-- InfernalTempest 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {180300},
				execute = {	
					{
						"batchalert",{"InfernalTempestAct","InfernalTempestCD","wInfernalTempest"},
						"openwindow",{"3",nil,false,180300},
					},		
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {180300},
				execute = {	
					{
						"closewindow",
					},		
				},
			},	
			-- FontOfCorruption
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {180526},
				execute = {	
					{
						"insert",{"FontOfCorruptionunits","#5#"},
						"insert",{"FontOfCorruptionunits2","#5#",true},
						"canceltimer","timerFontOfCorruption",		
						"scheduletimer",{"timerFontOfCorruption",0.3},	
					},
					{
						"expect",{"&count|FontOfCorruptionunits&","==","1"},
						"alert","FontOfCorruptionCD",
					},							
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","FontOfCorruptionsay",
						"set",{FontOfCorruptiononMe = 1},
					},
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {180526},
				execute = {						
					{
						"expect",{"#4#","==","&playerguid&"},
						"set",{FontOfCorruptiononMe = 0},
					},
				},
			},				
			-- TaintedShadows 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {180533},
				execute = {	
					{
						"target",{
							--source = "#1#",
							npcid = 90269,
							wait = 0.05,
							schedule = 20,
							arrow = "TaintedShadowsarrow",
							message = "mTaintedShadows",
						},
					},		
				},
			},
			-- HarbingersMending 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {180025, 181990},
				execute = {	
					{
						"alert","HarbingersMendingCD",
						"message","mHarbingersMending",
					},
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {180025, 181990},
				execute = {
					{
						"message","mHarbingersMendingA",
					},
					{
						"expect",{"&dispell|magic&","==","true"},
						"alert","iDispelHarbingersMending",
					},
				},
			},
			-- GavelOfTheTyrant 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {180608},
				execute = {	
					{
						"alert","GavelOfTheTyrantCD",
						"message","mGavelOfTheTyrant",
					},		
				},
			},	
			-- SovereignsWard
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {180040},
				execute = {
					{
						"alert","wSovereignsWard",
					},		
				},
			},
			-- SealOfDecay
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {180000},
				execute = {
					{
						"alert","SealOfDecayDebuff",
						"message","mSealOfDecay",
					},		
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {180000},
				execute = {
					{
						"alert",{"SealOfDecayDebuff", text = 2},
						"message",{"mSealOfDecay", text = 2},
					},		
				},
			},	
			-- TouchOfHarm
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {180166}, 
				execute = {
					{
						"insert",{"TouchOfHarmunits","#5#"},
						"canceltimer","timerTouchOfHarm",
						"scheduletimer",{"timerTouchOfHarm",0.3},		
						"alert",{"TouchofHarmCD", time = 2},
					--	"set",{AncientBarrier = "&debuffabsorb|"..SN[180166].."|#5#&"},
				--		"alert","TouchOfHarmAmount",
					},		
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {185237}, 
				execute = {
					{
						"insert",{"TouchOfHarmunits","#5#"},
						"canceltimer","timerTouchOfHarm",
						"scheduletimer",{"timerTouchOfHarm",0.3},						
						"alert",{"TouchofHarmCD", time = 2},
						--"set",{TouchOfHarm = "&debuffabsorb|"..SN[185237].."|#5#&"},
						--"alert","TouchOfHarmAmount",
					},	
					--{
					--	"expect",{"#4#","==","&playerguid&"},

					--},					
				},
			},	
			-- TouchOfHarmJumper
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {185238}, 
				execute = {
					{
						"insert",{"TouchOfHarmunits","#5#"},
						"canceltimer","timerTouchOfHarm",
						"scheduletimer",{"timerTouchOfHarm",0.3},	
						"alert",{"TouchofHarmCD", time = 2},
						--"set",{TouchOfHarm = "&debuffabsorb|"..SN[185238].."|#5#&"},
						--"alert","TouchOfHarmAmount",
					},					
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {180164}, 
				execute = {
					{
						"insert",{"TouchOfHarmunits","#5#"},
						"canceltimer","timerTouchOfHarm",
						"scheduletimer",{"timerTouchOfHarm",0.3},						
						"alert",{"TouchofHarmCD", time = 2},
						--"set",{TouchOfHarm = "&debuffabsorb|"..SN[180164].."|#5#&"},
						--"alert","TouchOfHarmAmount",
					},				
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {180166,185237,185238,180164}, 
				execute = {
					{
						--"quash","TouchOfHarmAmount",
					},		
				},
			},			
			-- EdictOfCondemnation
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {182459},
				execute = {
					{
						"alert",{"EdictofCondemnationCD", time = 2},
						"alert","EdictOfCondemnationDebuff",
						"message","mEdictOfCondemnation",
						"raidicon","CurseOfTheLegionmark",
					},
					{
						"expect",{"&mythic&","==","false"},
						"invoke",{
							{
								"expect",{"#4#","==","&playerguid&"},
								"announce","EdictOfCondemnationsay",
								"set",{EdictOfCondemnationsay = 9},
								"canceltimer","timerEdictOfCondemnation",
								"scheduletimer",{"timerEdictOfCondemnation",1},
								"set",{EdictOfCondemnationDestName = "&tft_unitname&"},
								"arrow","EdictOfCondemnationArrow", -- Goto tank
							},
						},
					},
					{
						"expect",{"&mythic&","==","true"},
						"invoke",{
							{
								"expect",{"#4#","==","&playerguid&"},
								"announce","EdictOfCondemnationsay",
								"set",{EdictOfCondemnationsay = 9},
								"canceltimer","timerEdictOfCondemnation",
								"scheduletimer",{"timerEdictOfCondemnation",1},
								"openwindow",{"30",nil,false,182459},
								"set",{EdictOfCondemnationDestName = "player"},
								"scheduletimer",{"timerEdictOfCondemnation20",3},
								"scheduletimer",{"timerEdictOfCondemnation10",6},
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"openwindow",{"30","#5#",false,182459},
								"set",{EdictOfCondemnationDestName = "#5#"},
								"scheduletimer",{"timerEdictOfCondemnation20",3},
								"scheduletimer",{"timerEdictOfCondemnation10",6},
								"scheduletimer",{"timerEdictOfCondemnationArrow",5},
							},
						},						
					},
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {182459},
				execute = {
					{ 
						"quash","EdictOfCondemnationDebuff",
						"removeraidicon","#5#",
						"canceltimer",{"timerEdictOfCondemnation20"},
						"canceltimer",{"timerEdictOfCondemnation10"},
						"closewindow",
					},
				},
			},		
			-- AuraOfContempt
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {179986},
				execute = {	
					{
						"batchquash",{"InfernalTempestCD","AnnihilatingStrikeCD"},
						"alert",{"FontOfCorruptionCD", time = 2},
					},		
				},
			},	
			-- AuraOfMalice
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {179991},
				execute = {	
					{
						"quash","FontOfCorruptionCD",
						"alert",{"GavelOfTheTyrantCD", time = 2},
						"alert","BulwarkOfTheTyrantCD",
						"closewindow",
					},		
				},
			},	
			-- BulwarkOfTheTyrant
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {180600},
				execute = {	
					{
						"set",{bulwarkCount = "INCR|1"},
						"message","mBulwarkOfTheTyrant",
					},
					{
						"expect",{"&checkperc|<bulwarkCount>|3&","==","0"},
						"alert",{"BulwarkOfTheTyrantCD", time = 2},
					},
					{
						"expect",{"&checkperc|<bulwarkCount>|3&","~=","0"},
						"alert","BulwarkOfTheTyrantCD",
					},					
				},
			},	
			-- DespoiledGroundDamage
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {180604},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iBulwarkOfTheTyrant",
					},			
				},
			},			
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_DAMAGE",
				spellid = {180604},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iBulwarkOfTheTyrant",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_MISSED",
				spellid = {180604},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iBulwarkOfTheTyrant",
					},
				},
			},				
			----- 
			{
				type = "combatevent",
				eventtype = "UNIT_DIED",
				execute = {
					{
						"expect",{"&npcid|#4#&","==","90270"},
						"quash","EnforcersOnslaughtCD",
					},
					{
						"expect",{"&npcid|#4#&","==","90271"},
						"quash","HarbingersMendingCD",
					},					
				},
			},
				
		},
	}

	DXE:RegisterEncounter(data)
end