local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

do
	local data = {
		version = 2,
		key = "Gorashan",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["UBRS: Gorashan"],
		triggers = {
			scan = {76413,}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	76413, 	},
			unittracing = {	"boss1",},
			defeat = 76413,
		},
		userdata = {

		},
		messages = {
			mPowerConduit = {
				varname = format(L.alert["%s (1)"],SN[153954]),
				type = "message",
				text = format(L.alert["%s (1)"],SN[153954]),
				text2 = format(L.alert["%s (#11#)"],SN[153954]),
				color1 = "GOLD",
				sound = "ALERT13",
				desc = 153954,
				icon = ST[153954],
			},
			mPowerConduitLeft = {
				varname = format(L.alert["%s %s (1)"],SN[153954],L.alert["remaining"]),
				type = "message",
				text = format(L.alert["%s %s (0)"],SN[153954],L.alert["remaining"]),
				text2 = format(L.alert["%s %s (#11#)"],SN[153954],L.alert["remaining"]),
				color1 = "GOLD",
				sound = "ALERT13",
				desc = 153954,
				icon = ST[153954],
			},			
		},
		onstart = {

		},
		alerts = {
				
		},
		events = {
			-- PowerConduit
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {166168},
				execute = {
					{
						"message","mPowerConduit",
					},			
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {166168},
				execute = {
					{
						"message",{"mPowerConduit", text = 2},
					},			
				},
			},			
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {166168},
				execute = {
					{
						"message","mPowerConduitLeft",
					},			
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED_DOSE",
				spellid = {166168},
				execute = {
					{
						"message",{"mPowerConduitLeft", text = 2},
					},			
				},
			},					
		},
	}

	DXE:RegisterEncounter(data)
end